using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MembershipInfoNew : System.Web.UI.Page
{
	void Page_Load(object sender, EventArgs e)
	{
		// Initialize the "Login/Logout" LinkButton
		LinkButton1.Text = (Membership.GetUser() == null) ? "Login" : "Logout";

		// Display Membership data
		MembershipData md = new MembershipData();
		md.ApplicationName = Membership.ApplicationName;
		md.ProviderName = Membership.Provider.Name;
		md.EnablePasswordReset = Membership.EnablePasswordReset;
		md.EnablePasswordRetrieval = Membership.EnablePasswordRetrieval;
		md.RequiresQuestionAndAnswer = Membership.RequiresQuestionAndAnswer;
		md.UserIsOnlineTimeWindow = Membership.UserIsOnlineTimeWindow;

		ArrayList list = new ArrayList(1);
		list.Add(md);
		DetailsView1.DataSource = list;
		DetailsView1.DataBind();

		// Display counts of registered and online users
		MembershipUserCollection users = Membership.GetAllUsers();
		Label1.Text = String.Format("{0} user(s) registered; {1} user(s) currently online",
			users.Count, Membership.GetNumberOfUsersOnline());
	}

	protected void LinkButton1_Click(object sender, EventArgs e)
	{
		if (Membership.GetUser() != null)
		{
			LinkButton1.Text = "Login";
			FormsAuthentication.SignOut();
		}
		else
		{
			FormsAuthentication.RedirectToLoginPage();
		}
	}
}
class MembershipData
{
	string _ApplicationName;
	public string ApplicationName
	{
		get
		{
			return _ApplicationName;
		}
		set
		{
			_ApplicationName = value;
		}
	}

	string _ProviderName;
	public string ProviderName
	{
		get
		{
			return _ProviderName;
		}
		set
		{
			_ProviderName = value;
		}
	}

	bool _EnablePasswordReset;
	public bool EnablePasswordReset
	{
		get
		{
			return _EnablePasswordReset;
		}
		set
		{
			_EnablePasswordReset = value;
		}
	}

	bool _EnablePasswordRetrieval;
	public bool EnablePasswordRetrieval
	{
		get
		{
			return _EnablePasswordRetrieval;
		}
		set
		{
			_EnablePasswordRetrieval = value;
		}
	}

	bool _RequiresQuestionAndAnswer;
	public bool RequiresQuestionAndAnswer
	{
		get
		{
			return _RequiresQuestionAndAnswer;
		}
		set
		{
			_RequiresQuestionAndAnswer = value;
		}
	}

	int _UserIsOnlineTimeWindow;
	public int UserIsOnlineTimeWindow
	{
		get
		{
			return _UserIsOnlineTimeWindow;
		}
		set
		{
			_UserIsOnlineTimeWindow = value;
		}
	}
}
