using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ProfilesNew : System.Web.UI.Page
{
 
	static string _ThemeListID = null;

	void Page_PreInit (Object sender, EventArgs e)
	{
		// Check the profile for a preferred theme and apply it
		// if it's there
		string theme = Profile.Theme;
		if (!String.IsNullOrEmpty (theme))
			Theme = (theme == "None") ? null : theme;

		// If this is a postback and the postback data contains
		// a new preferred theme, apply that theme and record it
		// in the profile
		if (IsPostBack) {
			theme = (string) Request[_ThemeListID];
			if (!String.IsNullOrEmpty (theme)) {
				Theme = (theme == "None") ? null : theme;
				Profile.Theme = theme;
			}
		}
	}

    void Page_Load (Object sender, EventArgs e)
    {
		// On first access, write the RadioButtonList's UniqueID
		// to _ThemeListID so it can be retrieved following a postback.
		if (!IsPostBack && _ThemeListID == null)
			_ThemeListID = ThemeList.UniqueID;

		// If the page is themed and this isn't a postback, select
		// the corresponding radio button in the RadioButtonList
		if (!IsPostBack) {
			string theme = Theme;
			if (!String.IsNullOrEmpty (theme)) {
				foreach (ListItem item in ThemeList.Items) {
					if (item.Text == theme) {
						item.Selected = true;
						break;
					}
				}
			}
			else
				ThemeList.SelectedIndex = 0;
		}
	
		// Display the date and time of this user's last visit
		DateTime time = Profile.LastVisit;

		if (time.Year == 1) // Year == 1 indicates that LastVisit is uninitialized
			Label1.Text = "Welcome to the personalization page!";
		else
			Label1.Text = "You last viewed this page on " + time.ToLongDateString () +
				" at " + time.ToLongTimeString ();

		// Record the date and time of this user's last visit
		Profile.LastVisit = DateTime.Now;
	}
}
